# userhtml

Next: Abstract Contents
MLD2P4
User's and Reference Guide
A guide for the Multi-Level Domain Decomposition Parallel Preconditioners Package based on PSBLAS
Pasqua D'Ambra
ICAR-CNR, Naples, Italy
Daniela di Serafino
Second University of Naples, Italy
Salvatore Filippone
University of Rome ``Tor Vergata'', Italy
Software version: 1.1
March 13, 2009

- Abstract
- Contents
- General Overview
- Code Distribution
- Configuring and Building MLD2P4
  - Prerequisites
  - Optional third party libraries
  - Configuration options
  - Bug reporting
  - Example and test programs
- Multi-level Domain Decomposition Background
  - Multi-level Schwarz Preconditioners
  - Smoothed Aggregation
- Getting Started
  - Examples
- User Interface
  - Subroutine mld_precinit
  - Subroutine mld_precset
  - Subroutine mld_precbld
  - Subroutine mld_precaply
  - Subroutine mld_precfree
  - Subroutine mld_precdescr
- Error Handling
- License
- Bibliography
- About this document ...